using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Quadarax.Foundation.Common.Value;
using Quadarax.Foundation.QConsole.Attributes;
using Quadarax.Foundation.QConsole.Command;
using Quadarax.Foundation.QConsole.Command.Base;

namespace Quadarax.Foundation.QConsole.DevBench.Command
{
    [CommandDefinition]
    public class Test2Cmd : AbstractCommand
    {
        public Test2Cmd(Engine engine) : base(engine)
        {
        }

        public override string Name => "TEST2";
        public override string Description => "This is a test no 2.";
        protected override Result OnExecute()
        {
            WriteDebugInfo("Executed Test2 command");
            return new Result();
        }
    }
}
